Skip to content

Return process attachments for one readable board item using board read policy.

GET
/api/workspace/boards/{boardIdOrKey}/items/{boardItemId}/process-attachments
curl --request GET \
--url https://example.com/api/workspace/boards/example/items/example/process-attachments \
--header 'Authorization: Bearer <token>'
boardIdOrKey
required
string
boardItemId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Policy-aware process attachments list for one board item.

object
BoardItemOwner

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
CreatePolicy
integer format: int32
Allowed values: 0 1 2
ReadPolicy
integer format: int32
Allowed values: 0 1 2
Items
Array<object>
nullable
object
Placement
integer format: int32
Allowed values: 0 1
File
object
Id
required
string
FolderId
required
string
Owner
object
ModuleKey
required
string
ResourceKind
required
string
ContextResourceId
required
string
ResourceObjectId
required
string
Relations
required
Array<object>

Stored relation between one content item and a target resource.

object
Id
string
nullable
Target

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind

Relation kind between content and a resource.

integer format: int32
Allowed values: 0
Source

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
Any of:

Stored technical origin metadata for content created through another resource context.

object
Source

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
IsDeleted
required
boolean
EditDeadline
required
string format: date-time
RowVersion
required
string format: uuid
Descriptor
required
object
Id
required
string
FileName
required
string
Description
string
nullable
MimeType
required
string
StorageType
required
integer format: int32
Allowed values: 0 1 2 3 4 5
AvailabilityState
required
integer format: int32
Allowed values: 0 1 2 3 4
DetectedMimeType
string
nullable
ImageWidth
integer format: int32
nullable
ImageHeight
integer format: int32
nullable
ContentGeneration
required
integer format: int64
InspectedChecksumSha256
string
nullable
InspectedContentGeneration
integer format: int64
nullable
SizeBytes
required
integer format: int64
ChecksumSha256
required
string
CreatedAt
required
string format: date-time
ModifiedAt
string format: date-time
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
ModifiedByUserId
string
nullable
ModifiedByUserName
string
nullable
Owner
object
Identity

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
RelatedTarget
object
Identity

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
Source
object
Identity

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
RelationId
string
nullable
RelationKind

Relation kind between content and a resource.

integer format: int32
Allowed values: 0
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedAt
string format: date-time
Permissions
object
CanView
boolean
CanRename
boolean
CanDelete
boolean
CanDownload
boolean
LinkedComments
Array<object>
nullable
object
CommentId
string
nullable
Text
string
nullable
CreatedAt
string format: date-time
TotalCount
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"CreatePolicy": 0,
"ReadPolicy": 0,
"Items": [
{
"Placement": 0,
"File": {
"Relations": [
{
"RelationKind": 0
}
],
"Origin": null,
"Descriptor": {
"StorageType": 0,
"AvailabilityState": 0
}
},
"RelationKind": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Policy-aware process attachments list for one board item.

object
BoardItemOwner

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
CreatePolicy
integer format: int32
Allowed values: 0 1 2
ReadPolicy
integer format: int32
Allowed values: 0 1 2
Items
Array<object>
nullable
object
Placement
integer format: int32
Allowed values: 0 1
File
object
Id
required
string
FolderId
required
string
Owner
object
ModuleKey
required
string
ResourceKind
required
string
ContextResourceId
required
string
ResourceObjectId
required
string
Relations
required
Array<object>

Stored relation between one content item and a target resource.

object
Id
string
nullable
Target

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind

Relation kind between content and a resource.

integer format: int32
Allowed values: 0
Source

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
Any of:

Stored technical origin metadata for content created through another resource context.

object
Source

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
IsDeleted
required
boolean
EditDeadline
required
string format: date-time
RowVersion
required
string format: uuid
Descriptor
required
object
Id
required
string
FileName
required
string
Description
string
nullable
MimeType
required
string
StorageType
required
integer format: int32
Allowed values: 0 1 2 3 4 5
AvailabilityState
required
integer format: int32
Allowed values: 0 1 2 3 4
DetectedMimeType
string
nullable
ImageWidth
integer format: int32
nullable
ImageHeight
integer format: int32
nullable
ContentGeneration
required
integer format: int64
InspectedChecksumSha256
string
nullable
InspectedContentGeneration
integer format: int64
nullable
SizeBytes
required
integer format: int64
ChecksumSha256
required
string
CreatedAt
required
string format: date-time
ModifiedAt
string format: date-time
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
ModifiedByUserId
string
nullable
ModifiedByUserName
string
nullable
Owner
object
Identity

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
RelatedTarget
object
Identity

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
Source
object
Identity

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
RelationId
string
nullable
RelationKind

Relation kind between content and a resource.

integer format: int32
Allowed values: 0
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedAt
string format: date-time
Permissions
object
CanView
boolean
CanRename
boolean
CanDelete
boolean
CanDownload
boolean
LinkedComments
Array<object>
nullable
object
CommentId
string
nullable
Text
string
nullable
CreatedAt
string format: date-time
TotalCount
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"CreatePolicy": 0,
"ReadPolicy": 0,
"Items": [
{
"Placement": 0,
"File": {
"Relations": [
{
"RelationKind": 0
}
],
"Origin": null,
"Descriptor": {
"StorageType": 0,
"AvailabilityState": 0
}
},
"RelationKind": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Policy-aware process attachments list for one board item.

object
BoardItemOwner

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
CreatePolicy
integer format: int32
Allowed values: 0 1 2
ReadPolicy
integer format: int32
Allowed values: 0 1 2
Items
Array<object>
nullable
object
Placement
integer format: int32
Allowed values: 0 1
File
object
Id
required
string
FolderId
required
string
Owner
object
ModuleKey
required
string
ResourceKind
required
string
ContextResourceId
required
string
ResourceObjectId
required
string
Relations
required
Array<object>

Stored relation between one content item and a target resource.

object
Id
string
nullable
Target

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind

Relation kind between content and a resource.

integer format: int32
Allowed values: 0
Source

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
Any of:

Stored technical origin metadata for content created through another resource context.

object
Source

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
IsDeleted
required
boolean
EditDeadline
required
string format: date-time
RowVersion
required
string format: uuid
Descriptor
required
object
Id
required
string
FileName
required
string
Description
string
nullable
MimeType
required
string
StorageType
required
integer format: int32
Allowed values: 0 1 2 3 4 5
AvailabilityState
required
integer format: int32
Allowed values: 0 1 2 3 4
DetectedMimeType
string
nullable
ImageWidth
integer format: int32
nullable
ImageHeight
integer format: int32
nullable
ContentGeneration
required
integer format: int64
InspectedChecksumSha256
string
nullable
InspectedContentGeneration
integer format: int64
nullable
SizeBytes
required
integer format: int64
ChecksumSha256
required
string
CreatedAt
required
string format: date-time
ModifiedAt
string format: date-time
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
ModifiedByUserId
string
nullable
ModifiedByUserName
string
nullable
Owner
object
Identity

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
RelatedTarget
object
Identity

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
Source
object
Identity

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
RelationId
string
nullable
RelationKind

Relation kind between content and a resource.

integer format: int32
Allowed values: 0
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedAt
string format: date-time
Permissions
object
CanView
boolean
CanRename
boolean
CanDelete
boolean
CanDownload
boolean
LinkedComments
Array<object>
nullable
object
CommentId
string
nullable
Text
string
nullable
CreatedAt
string format: date-time
TotalCount
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"CreatePolicy": 0,
"ReadPolicy": 0,
"Items": [
{
"Placement": 0,
"File": {
"Relations": [
{
"RelationKind": 0
}
],
"Origin": null,
"Descriptor": {
"StorageType": 0,
"AvailabilityState": 0
}
},
"RelationKind": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Policy-aware process attachments list for one board item.

object
BoardItemOwner

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
CreatePolicy
integer format: int32
Allowed values: 0 1 2
ReadPolicy
integer format: int32
Allowed values: 0 1 2
Items
Array<object>
nullable
object
Placement
integer format: int32
Allowed values: 0 1
File
object
Id
required
string
FolderId
required
string
Owner
object
ModuleKey
required
string
ResourceKind
required
string
ContextResourceId
required
string
ResourceObjectId
required
string
Relations
required
Array<object>

Stored relation between one content item and a target resource.

object
Id
string
nullable
Target

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind

Relation kind between content and a resource.

integer format: int32
Allowed values: 0
Source

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
Any of:

Stored technical origin metadata for content created through another resource context.

object
Source

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
IsDeleted
required
boolean
EditDeadline
required
string format: date-time
RowVersion
required
string format: uuid
Descriptor
required
object
Id
required
string
FileName
required
string
Description
string
nullable
MimeType
required
string
StorageType
required
integer format: int32
Allowed values: 0 1 2 3 4 5
AvailabilityState
required
integer format: int32
Allowed values: 0 1 2 3 4
DetectedMimeType
string
nullable
ImageWidth
integer format: int32
nullable
ImageHeight
integer format: int32
nullable
ContentGeneration
required
integer format: int64
InspectedChecksumSha256
string
nullable
InspectedContentGeneration
integer format: int64
nullable
SizeBytes
required
integer format: int64
ChecksumSha256
required
string
CreatedAt
required
string format: date-time
ModifiedAt
string format: date-time
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
ModifiedByUserId
string
nullable
ModifiedByUserName
string
nullable
Owner
object
Identity

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
RelatedTarget
object
Identity

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
Source
object
Identity

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
RelationId
string
nullable
RelationKind

Relation kind between content and a resource.

integer format: int32
Allowed values: 0
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedAt
string format: date-time
Permissions
object
CanView
boolean
CanRename
boolean
CanDelete
boolean
CanDownload
boolean
LinkedComments
Array<object>
nullable
object
CommentId
string
nullable
Text
string
nullable
CreatedAt
string format: date-time
TotalCount
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"CreatePolicy": 0,
"ReadPolicy": 0,
"Items": [
{
"Placement": 0,
"File": {
"Relations": [
{
"RelationKind": 0
}
],
"Origin": null,
"Descriptor": {
"StorageType": 0,
"AvailabilityState": 0
}
},
"RelationKind": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}